
// set up document
size(1000, 1000); // dimensions in nominal pixels
colorMode(HSB, 360, 100, 100, 100); // switch to HSBA 
background(50, 10, 15); // initial background color

strokeWeight(10); // stroke width

// left endpoint
float x1 = 300;
float y1 = 400;

// right endpoint
float x2 = 600;
float y2 = 300;

// stroke hue
int strokeHue = 180;

// repeat
for (int i = 0; i < 20; i++) { 
  
  stroke(strokeHue, 50, 90, 50); // set stroke color

  line(x1, y1, x2, y2); // draw a line
  
  x1 = x1 + 10; // modify endpoint 1
  y1 = y1 + 20;
  
  x2 = x2 - 20; // modify endpoint 2
  y2 = y2 - 10;
  
  strokeHue = (strokeHue + 10) % 360;  // modify stroke color; modulo 360
  
}  
  